import request from '@/utils/request'

// 查询客户联系统计数据列表
export function listCustomerContact(query) {
  return request({
    url: '/wecom/customerContact/list',
    method: 'get',
    params: query
  })
}

// 查询客户联系统计数据详细
export function getCustomerContact(id) {
  return request({
    url: '/wecom/customerContact/' + id,
    method: 'get'
  })
}

// 新增客户联系统计数据
export function addCustomerContact(data) {
  return request({
    url: '/wecom/customerContact',
    method: 'post',
    data: data
  })
}

// 修改客户联系统计数据
export function updateCustomerContact(data) {
  return request({
    url: '/wecom/customerContact',
    method: 'put',
    data: data
  })
}

// 删除客户联系统计数据
export function delCustomerContact(ids) {
  return request({
    url: '/wecom/customerContact/' + ids,
    method: 'delete'
  })
}

// 导出客户联系统计数据
export function exportCustomerContact(query) {
  return request({
    url: '/wecom/customerContact/export',
    method: 'post',
    params: query,
    responseType: 'blob'
  })
}
